<div class="row">
  <div class="col-xs-12">
    <img
      [src]="recipe.imagePath"
      [alt]="recipe.name"
      class="img-responsive"
      style="max-height: 300px"
    />
  </div>
</div>

<div class="row">
  <div class="col-xs-12">
    <h1>Recipe Name</h1>
  </div>
</div>

<div class="row">
  <div class="col-xs-12">
    <div class="btn-group" appDropdown>
      <button type="button" class="btn btn-primary dropdown-toggle">
        Manage Recipe <span class="caret"></span>
      </button>
      <ul class="dropdown-menu">
        <li>
          <a [routerLink]="['/shopping-list']" (click)="onMoveToShoppingList()"
            >To Shopping List</a
          >
        </li>
        <li><a routerLink="edit" style="cursor: pointer">Edit Recipe</a></li>
        <li>
          <a style="cursor: pointer" (click)="onDeleteRecipe()"
            >Delete Recipe</a
          >
        </li>
      </ul>
    </div>
  </div>
</div>

<div class="row" style="margin-top: 1rem; margin-bottom: 1rem">
  <div class="col-xs-12">
    <h4>{{ recipe.description }}</h4>
  </div>
</div>

<div class="row">
  <div class="col-xs-12">
    <ul class="list-group">
      @for(ingredient of recipe.ingredients; track ingredient){
      <li class="list-group-item">
        {{ ingredient.name }} - {{ ingredient.amount }}
      </li>
      }
    </ul>
  </div>
</div>
